Add reaction
curl --request POST \
--url https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/reactions/{reaction} \
--header 'apikey: <api-key>' \
--header 'onBehalfOf: <onbehalfof>'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/reactions/{reaction}"
headers = {
"onBehalfOf": "<onbehalfof>",
"apikey": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {onBehalfOf: '<onbehalfof>', apikey: '<api-key>'}};
fetch('https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/reactions/{reaction}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "2",
"conversationId": "cometchat-uid-1_user_cometchat-uid-2",
"sender": "cometchat-uid-1",
"receiverType": "user",
"receiver": "cometchat-uid-2",
"category": "message",
"type": "text",
"data": {
"text": "Hi,",
"entities": {
"sender": {
"entity": {
"uid": "cometchat-uid-1",
"name": "Andrew Joseph",
"role": "default",
"status": "offline"
},
"entityType": "user"
},
"receiver": {
"entity": {
"uid": "cometchat-uid-2",
"name": "George Alan",
"role": "default",
"status": "offline",
"conversationId": "cometchat-uid-1_user_cometchat-uid-2"
},
"entityType": "user"
}
},
"reactions": [
{
"reaction": ":reaction",
"count": 1
},
{
"reaction": "😅",
"count": 1
},
{
"reaction": "😒",
"count": 1,
"reactedByMe": true
},
{
"reaction": "🤨",
"count": 1,
"reactedByMe": true
}
]
},
"sentAt": 1700210266,
"updatedAt": 1700210266
}
}Messages
Add reaction
Add a reaction to a CometChat message by message ID and emoji using the REST API for user or group conversations.
POST
/
messages
/
{id}
/
reactions
/
{reaction}
Add reaction
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
Id of the message to react.
reaction to react.
Response
200 - application/json
Adding reaction
Show child attributes
Show child attributes
Was this page helpful?
⌘I